org.apache.cassandra.transport

## Class SimpleClient.SimpleEventHandler

- java.lang.Object
- - org.apache.cassandra.transport.SimpleClient.SimpleEventHandler

- All Implemented Interfaces:
    SimpleClient.EventHandler
  Enclosing class:
    SimpleClient

      public static class SimpleClient.SimpleEventHandler
      extends java.lang.Object
      implements SimpleClient.EventHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.concurrent.LinkedBlockingQueue<Event>` | `queue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleEventHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onEvent(Event event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### queue

          public final java.util.concurrent.LinkedBlockingQueue<Event> queue

  - ### Constructor Detail

    - #### SimpleEventHandler

          public SimpleEventHandler()

  - ### Method Detail

    - #### onEvent

          public void onEvent(Event event)

      Specified by:
        `onEvent` in interface `SimpleClient.EventHandler`

Copyright © 2018 The Apache Software Foundation